org.apache.xalan.xsltc.compiler

## Class CompilerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.xalan.xsltc.compiler.CompilerException

All Implemented Interfaces:
  java.io.Serializable

    public final class CompilerException
    extends java.lang.Exception

Author:
  Morten Jorgensen
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CompilerException()`
`CompilerException(java.lang.Exception e)`
`CompilerException(java.lang.String message)`

### Method Summary

Methods
`java.lang.String` `getMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompilerException

    public CompilerException()

#### CompilerException

    public CompilerException(java.lang.Exception e)

#### CompilerException

    public CompilerException(java.lang.String message)

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `java.lang.Throwable`